Subject: Re: [PATCH net-next 1/2] net: phy: add core phylib sfp support

From: Russell King - ARM Linux admin <[email-masked]>
Date: Mon, 11 Nov 2019 15:07:54 +0000

On Mon, Nov 11, 2019 at 09:01:22AM -0600, Rob Herring wrote:
> On Mon, Nov 11, 2019 at 8:01 AM Russell King - ARM Linux admin
> <[email-masked]> wrote:
> >
> > On Sun, Nov 10, 2019 at 06:00:40PM +0100, Andrew Lunn wrote:
> > > On Sun, Nov 10, 2019 at 04:40:07PM +0000, Russell King - ARM Linux admin wrote:
> > > > On Sun, Nov 10, 2019 at 05:13:07PM +0100, Andrew Lunn wrote:
> > > > > On Sun, Nov 10, 2019 at 02:23:05PM +0000, Russell King wrote:
> > > > > > Add core phylib help for supporting SFP sockets on PHYs.  This provides
> > > > > > a mechanism to inform the SFP layer about PHY up/down events, and also
> > > > > > unregister the SFP bus when the PHY is going away.
> > > > >
> > > > > Hi Russell
> > > > >
> > > > > What does the device tree binding look like? I think you have SFP
> > > > > proprieties in the PHYs node?
> > > >
> > > > Correct, just the same as network devices.  Hmm, however, neither are
> > > > documented... oh dear, it looks like I need to figure out how this
> > > > yaml stuff works. :(
> > >
> > > Yes, that would be good. I also assume you have at least one DT patch
> > > for one of the Marvell boards? Seeing that would also help.
> >
> > So, how does one make sure that the .yaml files are correct?
> >
> > The obvious thing is to use the "dtbs_check" target, described by
> > Documentation/devicetree/writing-schema.md, but that's far from
> > trivial.
> 
> 'dt_binding_check' will check just the bindings. 'dtbs_check' is
> pretty slow given we have so many dts files and it generates lots of
> warnings.
> 
> > First it complained about lack of libyaml development, which is easy
> > to solve.  Having given it that, "dtbs_check" now complains:
> >
> > /bin/sh: 1: dt-doc-validate: not found
> > /bin/sh: 1: dt-mk-schema: not foundmake[2]: ***
> > [...Documentation/devicetree/bindings/Makefile:12:
> > Documentation/devicetree/bindings/arm/stm32/stm32.example.dts] Error 127
> >
> > (spot the lack of newline character - which is obviously an entirely
> > different problem...)
> >
> > # apt search dt-doc-validate
> > Sorting... Done
> > Full Text Search... Done
> > # apt search dt-mk-schema
> > Sorting... Done
> > Full Text Search... Done
> >
> > Searching google, it appears it needs another git repository
> > (https://github.com/robherring/dt-schema/) from Rob Herring to use
> > this stuff, which is totally undocumented in the kernel tree.
> 
> The dependencies are all documented in writing-schema.rst (formerly
> .md) in the 'Dependencies' section.
> 
> TL;DR: pip3 install git+https://github.com/devicetree-org/dt-schema.git@master

What is pip3, and where do I get it from (I'm running Debian stable).

# apt search pip3
Sorting... Done
Full Text Search... Done

Don't expect people know python.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 12.1Mbps down 622kbps up
According to speedtest.net: 11.9Mbps down 500kbps up